Tag Archives: eclipse

maven-eclipse-plugin v2.6与aspectj

最近一段时间以来,项目中使用maven-eclipse-plugin的eclipse:eclipse目标时比较恼人。pom里已经加入了aspectj的依赖,但生成的.classpath里却没有相应的classpathentry。

今天google到了解决办法,有两个:

1. 强制使用上个版本的maven-eclipse-plugin
org.apache.maven.plugins
maven-eclipse-plugin
2.5.1

2. 设置ajdtVersion为none
org.apache.maven.plugins
maven-eclipse-plugin

none